Skip to main content
POST
/
v1
/
templates
Create a template from a proposal
curl --request POST \
  --url https://api.propal.io/v1/templates \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "proposal_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "title": "<string>",
  "category": "<string>",
  "image": "<string>",
  "color": "<string>",
  "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.propal.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key in format: pp_live_xxxxxxxxxxxxxxxxxxxxxxxx

Body

application/json
proposal_id
string<uuid>
required
name
string

Response

Created template

id
string<uuid>
required
title
string | null
required
category
string | null
required
image
string | null
required
color
string | null
required
organization_id
string<uuid> | null
required
created_at
string
required